#///////////////////////////////////////////////////////////
#// Cnet v2.1
#//      Made by: Herzbolah
#//      
#//     Converted & Redesigned by: Shade
#//
#// Thank to:
#//      The producers of eventscripts
#//
#//------------------------------------------------------------
#//
#// Installation:
#//         1. Extract the files in your cstrike folder.                  
#//
#//         2. Add "es_load cnet" to your autoexec.cfg (without "")
#//
#//         3. Edit the config setting to your wishes. (Pre-Configured)
'''-------------------------------------'''
'''Requirements: Eventscripts Python 2.0'''
'''-------------------------------------'''
#//
#///////////////////////////////////////////////////////////

''' 
[NOTE: This complete IDEA & CODE was created by
Herzbolah. All Credit goes toward him.
'''

#Import Files
import es
import popuplib
import usermsg

# Information Set-Up
info = es.AddonInfo()
info.name      = "Cnet 2"
info.version   = "2.1"
info.url       = "http://addons.eventscripts.com/addons/view/cnet2"
info.basename  = "cnet2"
info.author    = "Herzbolah"
info.converter = "Shade"


# Configuration Section
''' Declaring All Cnet 2 Mod Variables '''
website_1 = es.ServerVar("website_1", "www.google.com", "First Website used for Cnet.")
player_say_1 = es.ServerVar("player_say_1", '!google', "Phrase for Website 1")
website_2 = es.ServerVar("website_2", "www.eventscripts.com", "Second Website used for Cnet.")
player_say_2 = es.ServerVar("player_say_2", '!ess', "Phrase for Website 2")
website_3 = es.ServerVar("website_3", "www.python.eventscripts.com", "Third Website used for Cnet.")
player_say_3 = es.ServerVar("player_say_3", '!esp', "Phrase for Website 3")
''' Configure Settings as Above [NOTE: DO NOT USE HTTP://] '''
website_4 = es.ServerVar("website_4", "none", "Fourth Website used for Cnet.")
player_say_4 = es.ServerVar("player_say_4", 'FREE SPACE', "Phrase for Website 4")
website_5 = es.ServerVar("website_5", "none", "Fifth Website used for Cnet.")
player_say_5 = es.ServerVar("player_say_5", 'FREE SPACE', "Phrase for Website 5")
website_6 = es.ServerVar("website_6", "none", "Sixth Website used for Cnet.")
player_say_6 = es.ServerVar("player_say_6", 'FREE SPACE', "Phrase for Website 6")
website_7 = es.ServerVar("website_7", "none", "Seventh Website used for Cnet.")
player_say_7 = es.ServerVar("player_say_7", 'FREE SPACE', "Phrase for Website 7")
website_8 = es.ServerVar("website_8", "none", "Eighth Website used for Cnet.")
player_say_8 = es.ServerVar("player_say_8", 'FREE SPACE', "Phrase for Website 8")
website_9 = es.ServerVar("website_9", "none", "Ninth Website used for Cnet.")
player_say_9 = es.ServerVar("player_say_9", 'FREE SPACE', "Phrase for Website 9")
website_10 = es.ServerVar("website_10", "none", "Tenth Website used for Cnet.")
player_say_10 = es.ServerVar("player_say_10", 'FREE SPACE', "Phrase for Website 10")
	
''' End of Configuration '''

''' ----------------------------------------------- '''
# Everything below should NOT be edited unless you know what you are doing.
''' ----------------------------------------------- '''

def load(): 
	es.msg('#multi',  '#green', '[Cnet2]', '#default', 'has been Activated!')
	
	main = popuplib.create('cnet_main')
	main.addline("Cnet v2.1")
	main.addline("-----------------")
	main.addline("Made by: Herzbolah")
	main.addline("Converted by: Shade")
	main.addline("---------")
	main.addline("->1. About Cnet 2")
	main.addline("->2. Sites")
	main.addline("->3. Downloads")
	main.addline("-----------------")
	main.addline("0. Close")
	main.submenu(1,'about_cnet')
	main.submenu(2,'sites_cnet')
	main.submenu(3,'download_cnet')

	about = popuplib.create('about_cnet')
	about.addline("Cnet v2.1")
	about.addline("----------------------")
	about.addline("Cnet 2 is a modified and")
	about.addline("converted Mod made after")
	about.addline("the creation of Cnet. This")
	about.addline("Mod will allow you to access")
	about.addline("the internet during CS:S")
	about.addline("gameplay.")
	about.addline("   ")
	about.addline("----------------------")
	about.addline("9. Prev Page")
	about.addline("0. Close")
	about.submenu(9,'cnet_main')

	sites = popuplib.create('sites_cnet')
	sites.addline("Cnet v2.1")
	sites.addline("----------------------")
	sites.addline("Type these commands in")
	sites.addline("chat to access the")
	sites.addline("internet. To add more,")
	sites.addline("please edit the Config")
	sites.addline("Section.")
	sites.addline("----------------------")
	es.server.cmd('es popup addline sites_cnet server_var(player_say_1)')
	es.server.cmd('es popup addline sites_cnet server_var(player_say_2)')
	es.server.cmd('es popup addline sites_cnet server_var(player_say_3)')
	es.server.cmd('es popup addline sites_cnet server_var(player_say_4)')
	es.server.cmd('es popup addline sites_cnet server_var(player_say_5)')
	sites.addline("----------------------")
	sites.addline("->8. Prev Page")
	sites.addline("->9. Next Page")
	sites.addline("->0. Close")
	sites.submenu(8,'cnet_main')
	sites.submenu(9,'sites_cnet_2')

	cnet2 = popuplib.create('sites_cnet_2')
	cnet2.addline("Cnet v2.1")
	cnet2.addline("-----------------")
	es.server.cmd('es popup addline sites_cnet_2 server_var(player_say_6)')
	es.server.cmd('es popup addline sites_cnet_2 server_var(player_say_7)')
	es.server.cmd('es popup addline sites_cnet_2 server_var(player_say_8)')
	es.server.cmd('es popup addline sites_cnet_2 server_var(player_say_9)')
	es.server.cmd('es popup addline sites_cnet_2 server_var(player_say_10)')
	cnet2.addline("-----------------")
	cnet2.addline("->9. Prev Page")
	cnet2.addline("->0. Close")
	cnet2.submenu(9,'sites_cnet')

	download = popuplib.create('download_cnet')
	download.addline("Cnet v2.1")
	download.addline("----------------------")
	download.addline("Cnet 2")
	download.addline("---------")
	download.addline("->1. Cnet 2 Link")
	download.addline("   ")
	download.addline("Eventscripts")
	download.addline("---------")
	download.addline("->2. Eventscripts Link")
	download.addline("----------------------")
	download.addline("9. Prev Page")
	download.addline("0. Close")
	download.submenu(9,'cnet_main')
	es.server.cmd('popup select download_cnet 1 cnet2/cnet_download')
	es.server.cmd('popup select download_cnet 2 cnet2/eventscripts_download')
	
''' End of Load Block '''

def player_say(event_var):
	if event_var['text'] == player_say_1:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_1)
	if event_var['text'] == player_say_2:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_2)
	if event_var['text'] == player_say_3:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_3)
	if event_var['text'] == player_say_4:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_4)
	if event_var['text'] == player_say_5:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_5)
	if event_var['text'] == player_say_6:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_6)
	if event_var['text'] == player_say_7:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_7)
	if event_var['text'] == player_say_8:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_8)
	if event_var['text'] == player_say_9:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_9)
	if event_var['text'] == player_say_10:
		usermsg.motd(event_var['userid'], 2, 'Cnet 2', website_10)
	if event_var['text'] == '!cnet':
		popuplib.send('cnet_main', event_var['userid'])
		
''' End of Player Say Event '''

def cnet_download():
	es.msg('#multi', '#green', '[Cnet2]', '#default', 'This is the link for Cnet 2:\n', '#lightgreen',  'http://addons.eventscripts.com/addons/view/cnet2')

''' End of Cnet Download Block '''
	
def eventscripts_download():
	es.msg('#multi', '#green', '[Cnet2]', '#default', 'This is the link for Cnet:\n', '#lightgreen', 'http://mattie.info/cs/')

''' End of Eventscripts Download Block '''

def round_start(event_var):
	es.msg('#multi', '#green', '[Cnet2]', '#default', 'This server is running the Cnet 2 script.', '#lightgreen', 'Type in chat !cnet to see what sites this server sets up.')

''' End of Roung Start Event '''
	
def unload():
	es.msg('#multi', '#green', '[Cnet2]', '#default', 'has been Deactivated!')
	
''' End of Unload Block '''

# ----------------------------
# END OF SCRIPT
# ----------------------------